Last Comment Bug 577599 - [10.6] Upon launching: __NSAutoreleaseNoPool() ... leaking messages in console (profile manager window)
: [10.6] Upon launching: __NSAutoreleaseNoPool() ... leaking messages in conso...
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: Widget: Cocoa (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
: 580275 601959 611832 (view as bug list)
Depends on:
Blocks: 559073
  Show dependency treegraph
 
Reported: 2010-07-08 21:38 PDT by philippe (part-time)
Modified: 2011-04-14 06:04 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description philippe (part-time) 2010-07-08 21:38:14 PDT
Console logs the following 4 messages when launching Minefield

7/9/10 12:58:27 PM	firefox-bin[83751]	*** __NSAutoreleaseNoPool(): Object 0x2915de0 of class NSCFString autoreleased with no pool in place - just leaking
7/9/10 12:58:27 PM	firefox-bin[83751]	*** __NSAutoreleaseNoPool(): Object 0x296c0b0 of class TopLevelWindowData autoreleased with no pool in place - just leaking
7/9/10 12:58:27 PM	firefox-bin[83751]	*** __NSAutoreleaseNoPool(): Object 0x2967ba0 of class ToolbarWindow autoreleased with no pool in place - just leaking
7/9/10 12:58:27 PM	firefox-bin[83751]	*** __NSAutoreleaseNoPool(): Object 0x2968f20 of class WindowDelegate autoreleased with no pool in place - just leaking

I tracked this down to _atleast_ the 20100516 build (but could be older)
Comment 1 philippe (part-time) 2010-07-10 04:01:26 PDT
Narrow regression range:
no logging:
Gecko/20100420 Minefield/3.7a5pre
http://hg.mozilla.org/mozilla-central/rev/5f229488969c

logging appears:
Gecko/20100421 Minefield/3.7a5pre
http://hg.mozilla.org/mozilla-central/rev/cdc8bf25220e

http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=5f229488969c&tochange=cdc8bf25220e

--> bug 559473 is suspicious… 


Notes:
1. I don't see this on 10.5

2. With a new profile, I see this one instead of the ToolbarWindow one above
*** __NSAutoreleaseNoPool(): Object 0x29ba0f0 of class BaseWindow autoreleased with no pool in place - just leaking

3. And I forgot to note this one:
*** __NSAutoreleaseNoPool(): Object 0x1c42f2e0 of class __NSFastEnumerationEnumerator autoreleased with no pool in place - just leaking
Comment 2 Josh Aas 2010-07-19 16:23:29 PDT
On a normal Minefield startup on 10.6 I don't see any leaks. I see this if I start up while Firefox is already running and I get an already-running dialog box...

2010-07-19 19:19:13.155 firefox-bin[20911:a0f] *** __NSAutoreleaseNoPool(): Object 0x4808510 of class __NSFastEnumerationEnumerator autoreleased with no pool in place - just leaking
2010-07-19 19:19:13.158 firefox-bin[20911:a0f] *** __NSAutoreleaseNoPool(): Object 0x4824df0 of class TopLevelWindowData autoreleased with no pool in place - just leaking
2010-07-19 19:19:13.159 firefox-bin[20911:a0f] *** __NSAutoreleaseNoPool(): Object 0x49069d0 of class NSCFString autoreleased with no pool in place - just leaking
2010-07-19 19:19:13.160 firefox-bin[20911:a0f] *** __NSAutoreleaseNoPool(): Object 0x4820470 of class ToolbarWindow autoreleased with no pool in place - just leaking
2010-07-19 19:19:13.161 firefox-bin[20911:a0f] *** __NSAutoreleaseNoPool(): Object 0x4822a60 of class WindowDelegate autoreleased with no pool in place - just leaking
Comment 3 Josh Aas 2010-07-19 16:24:21 PDT
I can't reproduce any leaks that would block, we can re-nom later if that changes.
Comment 4 philippe (part-time) 2010-07-19 17:50:30 PDT
After another round of testing:
1. Under a brand new OS X user account --> leaks on _first launch_ only
2. Under my normal user account --> always leaks.

under [1]: the first thing that is displayed is the 'import data' window.
under [2]: the profile manager is used

in both cases, the logging happens when the window appears.
Comment 5 Josh Matthews [:jdm] 2010-07-20 10:08:45 PDT
*** Bug 580275 has been marked as a duplicate of this bug. ***
Comment 6 Smokey Ardisson (offline for a while; not following bugs - do not email) 2010-07-20 11:46:27 PDT
(In reply to comment #4)

> under [1]: the first thing that is displayed is the 'import data' window.
> under [2]: the profile manager is used

So, [2] should have been fixed by Jonathan's patch in bug 559400, if I read it right, which makes this bug a definite regression from a fix that's only 3 months old. [1] may be the same thing; not sure if it's modal or not.

(Josh's comment 2 is bug 562109.)
Comment 7 philippe (part-time) 2010-12-05 15:44:30 PST
*** Bug 611832 has been marked as a duplicate of this bug. ***
Comment 8 philippe (part-time) 2010-12-05 15:45:00 PST
*** Bug 601959 has been marked as a duplicate of this bug. ***
Comment 10 philippe (part-time) 2011-04-14 06:04:05 PDT
given bug 634702 comment  7, closing as fixed by bug 634702.

Note You need to log in before you can comment on or make changes to this bug.